Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.game.dke
Class DisturbedDelayAction

    java.lang.Object
      gecco.server.core.Action
          gecco.game.dke.DelayAction
              gecco.game.dke.DisturbedDelayAction

public class DisturbedDelayAction
extends DelayAction

Constructor Summary
`DisturbedDelayAction()`

Method Summary
`ActionReturn` | `checkPoint()` This method is called periodically by the game engine.

Methods inherited from class gecco.game.dke.DelayAction
`initiate`

Methods inherited from class gecco.server.core.Action
`canSeePosition, getActionDefinition, getActionHandle, getArgumentUnit, getArgumentX, getArgumentY, getAutomatonState, getCooperativeUnits, getId, getNewActionHandle, getUnit, getUnitHandle, initiate, initiate, initiate, initiate, isInstantaneous, isOutsideMap, prepareAbortion, sendEventToAutomaton, sendEventToUnit, setActionDefinition, setArgumentUnit, setArgumentX, setArgumentY, setInstantaneous`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisturbedDelayAction

    public DisturbedDelayAction()

Method Detail

### checkPoint

    public ActionReturn checkPoint()

  Description copied from class: `Action`
  This method is called periodically by the game engine.

  Specified by:
    `checkPoint` in class `Action`
  Returns:
    An object of type ActionReturn, which encapsulates data about the status of the action after the checkpoint. Different instances of the class ActionReturn should be returned depending on whether the action is completed, aborted, or if the action should be requeued and the checkpoint method called again at some time later.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD